Skip to main content
POST
Cancel a subscription

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Subscription ID

Response

OK

additionalFields
object

StripeObject would hold field from stripe's subscription or subscription schedule object

cancelledAt
string<date-time>

CancelledAt is the RFC 3339 timestamp at which the subscription was cancelled; absent while active.

Example:

"2024-02-20T14:05:00Z"

clientId
string

ClientID is the ID of the client user the subscription bills.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

collectionMethod
enum<string>

CollectionMethod determines how the subscription's invoices are collected.

Available options:
sendInvoice,
chargeAutomatically
Example:

"sendInvoice"

companyId
string

CompanyID is the ID of the company the subscription bills.

Example:

"f0e1d2c3-b4a5-6789-0123-456789abcdef"

createdAt
string
creatorId
string
currency
string

Currency is the ISO 4217 currency code the subscription is billed in.

Example:

"usd"

data
string
daysUntilDue
integer

DaysUntilDue is the number of days a recipient has to pay an invoice when collected by sending an invoice.

Example:

30

fields
object
filteredListIndexPkey
string

{client_id}/INBOX_NOTIFICATION

forcePaused
boolean

ForcePaused indicates the subscription was paused because the workspace plan lapsed.

Example:

false

id
string
identityId
string
interval
enum<string>

Interval is the billing period the subscription recurs on.

Available options:
day,
week,
month,
quarterly,
biannually,
year,
semiannually
Example:

"monthly"

intervalCount
integer

IntervalCount is the number of intervals between each billing cycle.

Example:

1

lineItems
object[]

LineItems are the products and ad-hoc charges billed on each cycle.

memo
string

Memo is an optional note shown to the recipient on generated invoices.

Example:

"Monthly retainer"

object
string
paymentMethodPreferences
object[]

field is only used for platform api and should not be used anywhere else on FE/BE

paymentSourceId
string

PaymentSourceId is the ID of the saved payment source charged for automatically-collected subscriptions.

Example:

"card_1a2b3c"

previousAttributes
object
recipientId
string

RecipientID is the ID of the client or company the subscription bills. Deprecated: use ClientID and CompanyID instead

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

ref
string
status
string

Status is the current lifecycle status of the subscription, mirrored from Stripe.

Example:

"active"

taxPercentage
number | null

TaxPercentage is the tax rate applied to the subscription, as a percentage.

Example:

8.25

templateId
string

TemplateID is the ID of the subscription template the subscription was created from, when applicable.

Example:

"a7c3e9f1-2b4d-4e6a-8c0f-1d2e3f4a5b6c"

updatedAt
string